Last modified: 2011-01-26 07:18:47 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26910 - PHP/JS email validation unstable in 1.17 branch
PHP/JS email validation unstable in 1.17 branch
Status: CLOSED FIXED
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
1.17.x
All All
: Normal normal (vote)
: ---
Assigned To: Roan Kattouw
:
Depends on:
Blocks: 26611 26676
  Show dependency treegraph
 
Reported: 2011-01-24 21:22 UTC by Antoine "hashar" Musso (WMF)
Modified: 2011-01-26 07:18 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2011-01-24 21:22:14 UTC
This is merely a reminder for Roan.

The feature supporting email validation (PHP + JS in User:Preferences) is currently unstable in branch 1.17. It need some follow up revisions:

r79924 js (Krinkle fix) OK - tagged 1.17
  r79926 js/PHP OK -- tagged 1.17
  r79952 js (indentation) OK - tagged 1.17
r80694 PHP (fix localhost) -- merged by r80722
r80913 PHP (comment) - tagged 1.17
r80918 JS (fix localhost) - tagged 1.17

Easy copy paste: 79924 79926 79952 80913 80918

I have tagged them 1.17.
Comment 1 Nux 2011-01-25 22:26:05 UTC
The variable rfc5322_atext contains "...+-/...". This doesn't seem right (RegExp would also catch ",") and so "-" should be backslashed (double backslashed).

Also I think that var keyword should be placed before rfc1034_ldh_str as the comment above it makes the code less clear.

And a minor code cleanup - change this:
'[' + rfc5322_atext + '\\.' + ']' + '+'
to this (shorter and clearer):
'[' + rfc5322_atext + '\\.]+'

BTW there is an error message here:
http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/resources/mediawiki.util/mediawiki.util.js?view=markup&pathrev=79924

Maybe this is because of the the character next to "}" in rfc5322_atext which I see as a highlight question mark or as "Ń" (depending on codepage). Not sure what it is. Probably should be encoded in some other way.
Comment 2 Roan Kattouw 2011-01-26 00:27:05 UTC
(In reply to comment #0)
> Easy copy paste: 79924 79926 79952 80913 80918
> 
> I have tagged them 1.17.
All merged now.
Comment 3 Nux 2011-01-26 00:59:41 UTC
Hm... I thought this was to be reviewed. Nevermind. Just in case you would be interested I moved my comments here: Bug 26948.
Comment 4 Antoine "hashar" Musso (WMF) 2011-01-26 07:18:47 UTC
Thanks Roan. I am closing this merge request and subscribing to Nux's bug

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links